<script lang="ts">
import Vue from 'vue';

import { SolutionsHero } from '~/components/solutions';
import { NextStepAlt } from '~/components/common';
import {
  BenefitHero,
  CopyGroup,
  CopyHighlight,
  DevSurveyNav,
  DownloadForm,
  HeaderSection,
  LineGraph,
  SurveyBenefits,
  SurveyLinks,
  SurveyQuote,
} from '~/components/developer-survey/';

export default Vue.extend({
  name: 'Survey2022',
  components: {
    Hero: SolutionsHero,
    CopyGroup,
    BenefitHero,
    SurveyBenefits,
    LineGraph,
    CopyHighlight,
    HeaderSection,
    SurveyQuote,
    DownloadForm,
    NextStepAlt,
    SurveyLinks,
    DevSurveyNav,
  },
  props: {
    survey: {
      required: true,
      type: Object,
      default: () => {},
    },
  },
});
</script>

<template>
  <div>
    <SlpContainer variant="charcoal-100" class="slp-overflow-x-hidden">
      <Hero :data="survey.hero" class="slp-mt-96" />
    </SlpContainer>
    <DevSurveyNav
      :links="survey.side_navigation.links"
      variant="secondary"
      position="right"
      :cta="survey.side_navigation.cta"
      :dark-mode="true"
    >
      <SlpContainer
        id="overview"
        variant="charcoal-100"
        class="slp-overflow-x-hidden slp-px-16"
        data-slippers-scroll-darkmode="true"
      >
        <CopyGroup :data="survey.intro.copy" />
        <BenefitHero :data="survey.intro.benefit_hero" />
        <SurveyBenefits :data="survey.intro.benefits" />
        <LineGraph :data="survey.intro.graph" />
        <CopyHighlight :data="survey.intro.highlight" />
      </SlpContainer>
      <SlpContainer id="developers" variant="gradient-full" class="slp-px-16">
        <HeaderSection :data="survey.developers.header" />
        <BenefitHero :data="survey.developers.benefit_hero" />
        <SurveyBenefits :data="survey.developers.benefits" />
        <LineGraph :data="survey.developers.graph" />
        <SurveyQuote :data="survey.developers.quotes" />
      </SlpContainer>
      <SlpContainer
        id="security"
        variant="charcoal-100"
        class="slp-px-16"
        data-slippers-scroll-darkmode="true"
      >
        <HeaderSection :data="survey.security.header" />
        <BenefitHero :data="survey.security.benefit_hero" />
        <SurveyBenefits :data="survey.security.benefits" />
        <LineGraph :data="survey.security.graph" />
      </SlpContainer>
      <SlpContainer
        id="operations"
        variant="gradient-full"
        style="padding-bottom: 126px"
        class="slp-px-16"
      >
        <HeaderSection :data="survey.operations.header" />
        <BenefitHero :data="survey.operations.benefit_hero" />
        <SurveyBenefits :data="survey.operations.benefits" />
        <LineGraph :data="survey.operations.graph" />
        <CopyHighlight :data="survey.operations.highlight" />
      </SlpContainer>
    </DevSurveyNav>
    <SlpContainer id="download" variant="charcoal-100" class="slp-px-16">
      <DownloadForm
        v-if="survey.download.form_block"
        :data="survey.download.form_block"
      />
      <SurveyLinks :data="survey.download.links_block" />
    </SlpContainer>

    <SlpContainer variant="gradient" class="slp-px-16">
      <NextStepAlt />
    </SlpContainer>
  </div>
</template>
